pcl::poisson::OctNode< NodeData, Real >::NeighborKey3 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| NeighborKey3 (void)
| ~NeighborKey3 (void)
void | set (int depth)
Neighbors3 & | setNeighbors (OctNode *root, Point3D< Real > p, int d)
Neighbors3 & | getNeighbors (OctNode *root, Point3D< Real > p, int d)
Neighbors3 & | setNeighbors (OctNode *node, bool flags[3][3][3])
Neighbors3 & | setNeighbors (OctNode *node)
Neighbors3 & | getNeighbors (OctNode *node)

## Public Attributes

Neighbors3 * | neighbors

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::NeighborKey3

Definition at line 200 of file octree_poisson.h.

## Constructor & Destructor Documentation

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::NeighborKey3 | ( | void |  | ) |

Definition at line 1084 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::~NeighborKey3 | ( | void |  | ) |

Definition at line 1086 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

## Member Function Documentation

template<class NodeData, class Real = float>

Neighbors3& pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::getNeighbors | ( | OctNode * | root,
|  | Point3D< Real > | p,
|  | int | d
| ) |  |

Referenced by pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set().

template<class NodeData, class Real = float>

Neighbors3& pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::getNeighbors | ( | OctNode * | node | ) |

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set | ( | int | depth | ) |

Definition at line 1093 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::centerAndWidth(), pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::Cube::FactorCornerIndex(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::initChildren(), pcl::poisson::OctNode< NodeData, Real >::isInside(), pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors, pcl::poisson::OctNode< NodeData, Real >::parent, pcl::poisson::OctNode< NodeData, Real >::root(), and pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::setNeighbors().

template<class NodeData, class Real = float>

Neighbors3& pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::setNeighbors | ( | OctNode * | root,
|  | Point3D< Real > | p,
|  | int | d
| ) |  |

Referenced by pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set().

template<class NodeData, class Real = float>

Neighbors3& pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::setNeighbors | ( | OctNode * | node,
|  | bool | flags[3][3][3]
| ) |  |

template<class NodeData, class Real = float>

Neighbors3& pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::setNeighbors | ( | OctNode * | node | ) |

## Member Data Documentation

template<class NodeData, class Real = float>

Neighbors3* pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::neighbors

Definition at line 203 of file octree_poisson.h.

Referenced by pcl::poisson::UpSampleData::UpSampleData().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h
- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp